查询导入进度

... 2022-7-27 大约 2 分钟

# 查询导入进度

# 接口说明

本接口用来查询导入进度。

# 权限说明

本接口需要拥有以下任意一项权限:

  • scope.drive.creatable

# 请求格式

描述 定义
Path /openapi/drive/v2/files/import-progress
Method GET
Accept application/json

# 请求头部

详见Headers

# 请求参数

# 路径参数

# 查询参数

参数名 类型 必选 描述
progressQueryID string 进度查询凭证

# 请求体

# 响应参数

# 请求体

参数名 类型 描述
ret integer 业务返回码
msg string 业务返回码描述
data.ID string 文档 ID
data.title string 文档标题
data.type string 文档类型,见文件类型
data.url string 文档链接
data.progress int 导入进度,100 为导入完成

# 请求包体

GET /openapi/drive/v2/files/import-progress HTTP/1.1
Host: docs.qq.com
Access-Token: ACCESS_TOKEN
Client-Id: CLIENT_ID
Open-Id: OPEN_ID
Content-Length: 0
1
2
3
4
5
6
1
2
3
4
5
6

# 示例

curl --location --request GET 'https://docs.qq.com/openapi/drive/v2/files/import-progress?progressQueryID
=PROGRESS_QUERY_ID' \
--header 'Access-Token: ACCESS_TOKEN' \
--header 'Client-Id: CLIENT_ID' \
--header 'Open-Id: OPEN_ID'
1
2
3
4
5
1
2
3
4
5

# 响应包体

HTTP/1.1 200 OK
Date: Thu, 28 Jul 2022 15:34:46 GMT
Content-Type: text/plain; charset=utf-8
Content-Length: 3
Connection: keep-alive
 
{'ret': 0, 'msg': 'Succeed', 'data': {'ID': '300000000$AAAAAAAAAAAA', 'title': 'test', 'type': 'pdf', 'url': 'https://docs.qq.com/pdf/DAAAAAAAAAAA', 'progress': 100}}
1
2
3
4
5
6
7
1
2
3
4
5
6
7

# 错误码

错误码 错误说明 排查建议
10107 导入文件过大 pdf文件大小上限为 10 MB,其余类型文件大小上限是 100 MB
10108 导入文件的格式不支持 支持的文件后缀名有:xls,xlsx,csv,doc,docx,txt,text,ppt,pptx,pdf,xmind,pos
10109 导入的文件已损坏 检查文件完整性,并重新上传文件。
10111 导入的文件是加密 不支持上传加密过的文件

查询更多业务返回码

上次编辑于: 2023年5月31日 11:27
贡献者: mylochen , livlin , muyanyang , weixinqiu